Bug 633310 - F14 Alpha installs over serial, no securetty entry after install
F14 Alpha installs over serial, no securetty entry after install
Status: CLOSED CURRENTRELEASE
Product: Fedora
Classification: Fedora
Component: udev (Show other bugs)
14
All Linux
high Severity medium
: ---
: ---
Assigned To: Harald Hoyer
Fedora Extras Quality Assurance
:
Depends On:
Blocks: 494832
  Show dependency treegraph
 
Reported: 2010-09-13 10:43 EDT by Patrick C. F. Ernzer
Modified: 2010-09-29 10:27 EDT (History)
6 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2010-09-14 15:48:59 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Patrick C. F. Ernzer 2010-09-13 10:43:02 EDT
Description of problem:
if I install F14 Alpha (kickstart or interactive) with console set to ttyS0, there is no securetty entry after install. Effectively locking the user out from systems that only have serial console.

Version-Release number of selected component (if applicable):
setup-2.8.23-1.fc14.noarch

How reproducible:
always

Steps to Reproduce:
1. boot into anaconda with console=ttyS0,115200
2. install interactive or with kickstart
3. reboot after install
4. Attempt to log in as root
  
Actual results:
unable to log in as root. No ttyS0 entry in /etc/securetty

Expected results:
if console=ttyS0,... (115200 or 38400 or 9600 for my boxes) on /proc/cmdline during install, then ttyS0 should end up in /etc/securetty. This used to be the case in previous releases

Additional info:
Just verified, F13 interactive text install over serial ends up with the required securetty entry. F13 on another box that has no serial console does not have a securetty entry (that was was not freshly  installed though, if needed I can hunt for a box with VGA in the lab and do a fresh F13 install)
Comment 1 Patrick C. F. Ernzer 2010-09-13 10:49:57 EDT
prio to high, severity to medium
(a serial only system will not be usable for users not comfortable with booting into single user mode and fixing securetty by hand)
Comment 2 Ondrej Vasik 2010-09-14 10:20:19 EDT
There was no change in setup default /etc/securetty for a long time - ttyS0 was never in the default securetty from setup package... reassigning to anaconda ...probably the change was there.
Comment 3 Patrick C. F. Ernzer 2010-09-14 15:48:59 EDT
Just did another F13 serial install, if after install I boot into rescue from another medium and check /etc/securetty, ttyS0 is not there either. It only gets added when F13 boots first time. This happens by /etc/init/serial.conf from initscripts-9.12-1.fc13.x86_64, on F14 it's owned by initscripts-9.16-2.fc14.x86_64

Adjusting component to udev as it's a udev helper that is supposed to do the work

Updated with yum update
notably udev-161-2.fc14 and initscripts-9.20-1.fc14.x86_64
this fixes the bug. On first boot ttyS0 gets added to /etc/securetty and obviously this makes root login on serial work.
Comment 4 Patrick C. F. Ernzer 2010-09-29 10:27:54 EDT
This bug is not showing under F14 Beta. Thanks for the fix.

Note You need to log in before you can comment on or make changes to this bug.